Page MenuHomePhabricator

efl.ui.clock
Open, TODOPublic

Description

class Efl.Ui.Clock @beta
├ (P) format
├ (P) pause
├ (P) edit_mode
├ (P) time_min
├ (P) time_max
├ (P) time
├ (P) field_visible
├ (P) field_limit
├ (E) changed
bu5hm4n created this task.May 3 2019, 11:26 AM
bu5hm4n triaged this task as TODO priority.
CHAN claimed this task.Jul 7 2019, 10:05 PM
zmike added a comment.Jul 31 2019, 6:40 AM

@CHAN @woohyun @Jaehyun_Cho efl.ui.clock uses a module for the editable functionality. The module API itself uses hardcoded legacy paths and text strings, and the module code uses all legacy widgets, some of which have no equivalent in efl.ui. Can this module functionality be removed? It seems to not be very complete, and it will add significant overhead to the possibility of stabilizing this class.

I checked the first commit of this widget class.

efl_ui_clock: Merge datetime/dayselector/clock widgets into efl_ui_clock.

Summary:
Datetime widget is module based, so datetime widget is used as base for efl_ui_clock and merged dayselector/clock features into efl_ui_clock.
Added day selection and seconds support in efl_ui_clock.
 Added clock features like auto updation of time, stop timer etc in efl_ui_clock.
 Added API to enable/disable edit_mode. efl_ui_clock can be configurable to display either only day/date/time or display any two of them or display all three.
Added efl_ui_clock.c and test_ui_clock.c. Theme and Module is added in another patch by Amitesh.

And, I recognized that I had misunderstood the feature scope of this widget class.
I expected that the class supported the basic CLOCK feature only, but it was created to cover several legacy classes at one place.

I hope to remove datetime + dayselector feature from this class, and leave only real CLOCK feature.

@CHAN Could you check whether all the datetime features are covered by efl_ui_datepicker and efl_ui_timepicker now ?

CHAN added a comment.EditedAug 29 2019, 1:11 AM

@woohyun I agree with that. the clock class should support only clock feature(time tick, time showing include sec etc...)

The current pickers can cover clock(legacy datetime actually) feature except a below few things.

format set - A function for the user can set specify the order of the picker or the output format.

string get - A function that returns the text that matches the current system locale for a time value(strftime, ICU)

These two function already defined but not implemented yet... need to work on.

zmike closed subtask T7578: efl.ui.view as Resolved.Thu, Sep 26, 8:12 AM